/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.fragment.signup;

import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.bean.SignUpCoinBean;
import kr.co.zumo.app.lifeplus.view.presenter.signup.SignUpItem;

/**
 * SignUpCoinHolder
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 12.]   [최초 작성]
 * @since 2018. 9. 12.
 */
public class SignUpCoinHolder extends BaseViewHolder {
  public SignUpCoinHolder(View itemView) {
    super(itemView);
  }

  @Override
  void draw(SignUpItem item) {

    SignUpCoinBean bean = item.getBean(SignUpCoinBean.class);
    ((ImageView)itemView.findViewById(R.id.image_view_coupon)).setImageResource(bean.getCouponImage());
    ((TextView) itemView.findViewById(R.id.text_view_coupon)).setText(bean.getText());
  }

  @Override
  public void setDisabled() {

  }

  @Override
  public void setEnabled() {

  }
}
